<template>
  <div>
    <h1 class="mb-5">Please list the names of any other medications you have tried.</h1>
    <textarea v-model="selected" class="ta-input mb-8"></textarea>
    <common-btn
      :disabled="!selected"
      text="Save and continue"
      @click="$emit('nextStage')"
    />
  </div>
</template>

<script>
import {answersMixin} from "@/utils/mixins";

export default {
  mixins: [answersMixin],
  name: "YourHealth20",
  watch: {
    selected(newVal) {
      this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_20')
    }
  },
  data() {
    return {
      selected: null,
    }
  }
}
</script>

<style scoped>

</style>
